## com.thingmagic
Enum Iso180006b.Delimiter

    java.lang.Object
      java.lang.Enum<Iso180006b.Delimiter>
          com.thingmagic.Iso180006b.Delimiter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Iso180006b.Delimiter>

Enclosing class:
  Iso180006b

    public static enum Iso180006b.Delimiter

extends java.lang.Enum<Iso180006b.Delimiter>

Enum Constant Summary
`DELIMITER1`
`DELIMITER4`

Method Summary
`static Iso180006b.Delimiter` `get(int rep)`
`int` `getCode()`
`static Iso180006b.Delimiter` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Iso180006b.Delimiter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DELIMITER1

    public static final Iso180006b.Delimiter DELIMITER1

### DELIMITER4

    public static final Iso180006b.Delimiter DELIMITER4

Method Detail

### values

    public static Iso180006b.Delimiter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Iso180006b.Delimiter c : Iso180006b.Delimiter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Iso180006b.Delimiter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static Iso180006b.Delimiter get(int rep)